Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.validator.validators
Class RequiredStringValidator

    java.lang.Object
      com.opensymphony.xwork2.validator.validators.ValidatorSupport
          com.opensymphony.xwork2.validator.validators.FieldValidatorSupport
              com.opensymphony.xwork2.validator.validators.RequiredStringValidator

All Implemented Interfaces:
  FieldValidator, ShortCircuitableValidator, Validator

    public class RequiredStringValidator

extends FieldValidatorSupport

RequiredStringValidator checks that a String field is non-null and has a length > 0. (i.e. it isn't ""). The "trim" parameter determines whether it will `trim` the String before performing the length check. If unspecified, the String will be trimmed.

- fieldName - The field name this validator is validating. Required if using Plain-Validator Syntax otherwise not required
- trim - (Optional) Boolean, default true. Trims the field name value before validating.
- trimExpression - (Optional) String. Specifies the trim param as an OGNL expression.

Do not use ${trimExpression} as an expression as this will turn into infinitive loop!

         <validators>
             <!-- Plain-Validator Syntax -->
             <validator type="requiredstring">
                 <param name="fieldName">username</param>
                 <param name="trim">true</param>
                 <message>username is required</message>
             </validator>

             <!-- Field-Validator Syntax -->
             <field name="username">
                      <field-validator type="requiredstring">
                     <param name="trim">true</param>
                     <message>username is required</message>
                </field-validator>
             </field>

             <!-- Field-Validator Syntax with expression -->
             <field name="username">
                      <field-validator type="requiredstring">
                     <param name="trimExpression">${trimValue}</param> <!-- will be evaluated as: boolean getTrimValue() -->
                     <message>username is required</message>
                </field-validator>
             </field>
         </validators>

Version:
  $Date$ $Id$
Author:
  rainerh

Field Summary

Fields inherited from class com.opensymphony.xwork2.validator.validators.ValidatorSupport
`defaultMessage, log, messageKey, stack`

Constructor Summary
`RequiredStringValidator()`

Method Summary
`boolean` | `isTrim()`
`void` | `setTrim(boolean trim)`
`void` | `setTrimExpression(String trimExpression)`
`void` | `validate(Object object)` The validation implementation must guarantee that setValidatorContext will be called with a non-null ValidatorContext before validate is called.

Methods inherited from class com.opensymphony.xwork2.validator.validators.FieldValidatorSupport
`getFieldName, getValidatorType, setFieldName, setValidatorType`

Methods inherited from class com.opensymphony.xwork2.validator.validators.ValidatorSupport
`addActionError, addFieldError, getDefaultMessage, getFieldValue, getMessage, getMessageKey, getMessageParameters, getValidatorContext, isShortCircuit, parse, setDefaultMessage, setMessageKey, setMessageParameters, setShortCircuit, setValidatorContext, setValueStack`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.opensymphony.xwork2.validator.Validator
`getDefaultMessage, getMessage, getMessageKey, getMessageParameters, getValidatorContext, setDefaultMessage, setMessageKey, setMessageParameters, setValidatorContext, setValueStack`

Constructor Detail

### RequiredStringValidator

    public RequiredStringValidator()

Method Detail

### setTrim

    public void setTrim(boolean trim)

### setTrimExpression

    public void setTrimExpression(String trimExpression)

### isTrim

    public boolean isTrim()

### validate

    public void validate(Object object)
                  throws ValidationException

  Description copied from interface: `Validator`
  The validation implementation must guarantee that setValidatorContext will be called with a non-null ValidatorContext before validate is called.

  Parameters:
    `object` - the object to be validated.
  Throws:
    `ValidationException` - is thrown if there is validation error(s).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.